<html>

<head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Source+Sans+3:wght@400;700&display=swap" rel="stylesheet">

    <style>
        html,
        body {
            font-size: 16px;
            font-family: 'Source Sans 3', sans-serif;
        }

        article {
            width: 100vw;
            max-width: 42rem;
            margin: 0 auto;
            font-size: 1.125rem;
            line-height: 1.75rem;
        }

        h1 {
            margin: 10vw 0 0 0;
            font-size: 2rem;
        }

        summary {
            font-weight: 700;
            font-size: 1.25rem;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <article>
        <h1>Federated Service Connectivity (FSC)</h1>

        <p>
            De basis van de standaard is de Core specificatie. Core bevat alle onderdelen van de standaard die het leggen en
            gebruiken van een Peer-to-peer koppeling nodig heeft. Daar bovenop komen extensies. Deze extensies breiden de
            Core specificatie uit met additionele functionaliteit.
        </p>

        <details>
            <summary>De standaard en extensie(s)</summary>

            <h3>1. Core</h3>
            <ul>
                <li><a href="core/draft-fsc-core-00.html">html</a></li>
            </ul>

            <h3>2. Logging</h3>
            <ul>
                <li><a href="logging/draft-fsc-logging-00.html">html</a></li>
            </ul>
        </details>

        <details>
            <summary>Test suite</summary>

            <p>Als je een eigen implementatie van FSC hebt gebouwd kunnen de onderstaande tests gebruikt worden om te controleren of de implementatie voldoet aan de FSC standaard</p>

            <ul>
                <li><a href="test-suite/manager.md">Manager</a></li>
                <li><a href="test-suite/inway.md">Inway</a></li>
                <li><a href="test-suite/outway.md">Outway</a></li>
                <li><a href="test-suite/integration.md">Integration</a></li>
            </ul>
        </details>

        <details>
            <summary>NL Profiel</summary>

            <p>
                Als je een implementatie maakt van FSC voor gebruik binnen de Nederlandse overheid, dan moet je voldoen aan het
                <a href="https://gitlab.com/commonground/standards/fsc/-/issues/45">NL profiel</a>.
                Hierin staan een aantal extra voorwaarden waaraan je implementatie moet voldoen.
            </p>
        </details>

        <h2>Documentatie referentie implementatie</h2>

        <p>
            De code van de referentieimplementatie is te vinden op <a href="https://gitlab.com/commonground/nlx/fsc-nlx" rel="noreferrer" target="_blank">GitLab</a>. Meer info over de mogelijke strategie voor de implementatie, de software in productie brengen etc. zijn te vinden op onze website met <a href="https://docs.fsc.nlx.io" rel="noreferrer" target="_blank">technische documentatie</a>.
        </p>

        <h2>Mee helpen?</h2>

        <p>Feedback op en vragen over de standaard is meer dan welkom via <a href="https://gitlab.com/commonground/standards/fsc" rel="noreferrer" target="_blank">GitLab</a>, <a href="mailto:support@nlx.io">mail</a>, in het NLX channel in de Common Ground Slack of tijdens de sprint review.</p>

        <p>
            Op dit moment denken we aan een <em>Policy extensie</em> (waarmee het mogelijk wordt meer
            restricties te leggen op het gebruik van een koppeling) en een <em>Control extensie</em> (waar o.a. logging onderdeel
            van is). Een Group zal gezamenlijk besluiten welke extensies bovenop Core gebruikt worden.
            Samen vormt dit het profiel van de Group.
        </p>

        <p>Onze architectuurkeuzes, verduidelijkingen en verwerkte feedback zijn gedocumenteerd volgens <a href="https://cognitect.com/blog/2011/11/15/documenting-architecture-decisions">het ADR-formaat van Michael Nygard</a>.
            Deze zijn terug te vinden in de <a href="https://gitlab.com/commonground/nlx/adr">ADR repository</a> op GitLab.
        </p>

        <h2>Sprint review</h2>

        <p>Iedere oneven week is op maandag van 10:00 tot 11:00 de sprint review van het team. Samen met de aanwezige organisaties bespreken we de voortgang, identificeren we nieuw werk, kan iedereen vragen stellen en feedback geven. We bespreken ook de roadmap.</p>

        <p><a href="https://teams.microsoft.com/l/meetup-join/19%3ameeting_NjViYTM0YjEtMDZhOS00YzI3LTliZmYtYzMzZTNhZTc0YWZm%40thread.v2/0?context=%7b%22Tid%22%3a%226ef029ab-3fd7-4d98-9b0e-d1f5fedea6d1%22%2c%22Oid%22%3a%222792491b-bf61-4388-a055-8272a0083768%22%7d">Link naar de meeting</a>.</p></p>

    </article>
</body>

</html>
